<?php

namespace services\enums;

enum PostType: string
{
    // Values are used in Js.

    case Post = "Post";
    case Product = "Product";

    function get_display(): string
    {
        return match ($this) {
            PostType::Post => "مقاله",
            PostType::Product => "محصول"
        };
    }
}